bug with freecad? [SOLVED]

If none of the more specific forums is the right place to ask

bug with freecad? [SOLVED]

Postby ramack » 2018-01-01 01:08

I have installed freecad, however, when I run from terminal I receive

Code: Select all
$ freecad
freecad: error while loading shared libraries: libboost_signals.so.1.55.0: cannot open shared object file: No such file or directory


Freecad is looking for libboost_signals.so.1.55.0, but 1.62 is the most current, 1.55 isn't available for Wheezy. Is this a bug with Freecad?

My system info:
lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description: Debian GNU/Linux 9.3 (stretch)
Release: 9.3
Codename: stretch
uname -a
4.9.0-4-amd64 #1 SMP Debian 4.9.65-3+deb9u1 (2017-12-23) x86_64 GNU/Linux

Output from installing freecad
Code: Select all
$ sudo apt-get install freecad
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libboost-atomic1.62.0 libboost-signals1.62.0 libcoin80v5 libfreeimage3 libgl2ps1 liboce10 libpyside1.2 libshiboken1.2v5 libsoqt4-20
  libspnav0 libxerces-c3.1 libzipios++0v5 python-collada python-pivy python-pyside python-pyside.phonon python-pyside.qtcore
  python-pyside.qtdeclarative python-pyside.qtgui python-pyside.qthelp python-pyside.qtnetwork python-pyside.qtopengl
  python-pyside.qtscript python-pyside.qtsql python-pyside.qtsvg python-pyside.qttest python-pyside.qtuitools python-pyside.qtwebkit
  python-pyside.qtxml python-qt4-gl
Suggested packages:
  libopenal0a libsimage-dev spacenavd
The following NEW packages will be installed:
  freecad libboost-atomic1.62.0 libboost-signals1.62.0 libcoin80v5 libfreeimage3 libgl2ps1 liboce10 libpyside1.2 libshiboken1.2v5
  libsoqt4-20 libspnav0 libxerces-c3.1 libzipios++0v5 python-collada python-pivy python-pyside python-pyside.phonon
  python-pyside.qtcore python-pyside.qtdeclarative python-pyside.qtgui python-pyside.qthelp python-pyside.qtnetwork
  python-pyside.qtopengl python-pyside.qtscript python-pyside.qtsql python-pyside.qtsvg python-pyside.qttest python-pyside.qtuitools
  python-pyside.qtwebkit python-pyside.qtxml python-qt4-gl
0 upgraded, 31 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/80.2 MB of archives.
After this operation, 261 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Extracting templates from packages: 100%
Selecting previously unselected package libboost-atomic1.62.0:amd64.
(Reading database ... 335265 files and directories currently installed.)
Preparing to unpack .../00-libboost-atomic1.62.0_1.62.0+dfsg-4_amd64.deb ...
Unpacking libboost-atomic1.62.0:amd64 (1.62.0+dfsg-4) ...
Selecting previously unselected package libboost-signals1.62.0:amd64.
Preparing to unpack .../01-libboost-signals1.62.0_1.62.0+dfsg-4_amd64.deb ...
Unpacking libboost-signals1.62.0:amd64 (1.62.0+dfsg-4) ...
Selecting previously unselected package libcoin80v5.
Preparing to unpack .../02-libcoin80v5_3.1.4~abc9f50+dfsg1-2_amd64.deb ...
Unpacking libcoin80v5 (3.1.4~abc9f50+dfsg1-2) ...
Selecting previously unselected package libfreeimage3:amd64.
Preparing to unpack .../03-libfreeimage3_3.17.0+ds1-5_amd64.deb ...
Unpacking libfreeimage3:amd64 (3.17.0+ds1-5) ...
Selecting previously unselected package libgl2ps1.
Preparing to unpack .../04-libgl2ps1_1.3.9-4_amd64.deb ...
Unpacking libgl2ps1 (1.3.9-4) ...
Selecting previously unselected package libshiboken1.2v5:amd64.
Preparing to unpack .../05-libshiboken1.2v5_1.2.2-3.1_amd64.deb ...
Unpacking libshiboken1.2v5:amd64 (1.2.2-3.1) ...
Selecting previously unselected package libpyside1.2:amd64.
Preparing to unpack .../06-libpyside1.2_1.2.2-2+b1_amd64.deb ...
Unpacking libpyside1.2:amd64 (1.2.2-2+b1) ...
Selecting previously unselected package libsoqt4-20.
Preparing to unpack .../07-libsoqt4-20_1.6.0~e8310f-3_amd64.deb ...
Unpacking libsoqt4-20 (1.6.0~e8310f-3) ...
Selecting previously unselected package libspnav0.
Preparing to unpack .../08-libspnav0_0.2.3-1_amd64.deb ...
Unpacking libspnav0 (0.2.3-1) ...
Selecting previously unselected package libxerces-c3.1:amd64.
Preparing to unpack .../09-libxerces-c3.1_3.1.4+debian-2_amd64.deb ...
Unpacking libxerces-c3.1:amd64 (3.1.4+debian-2) ...
Selecting previously unselected package libzipios++0v5.
Preparing to unpack .../10-libzipios++0v5_0.1.5.9+cvs.2007.04.28-6_amd64.deb ...
Unpacking libzipios++0v5 (0.1.5.9+cvs.2007.04.28-6) ...
Selecting previously unselected package python-collada.
Preparing to unpack .../11-python-collada_0.4-2_all.deb ...
Unpacking python-collada (0.4-2) ...
Selecting previously unselected package python-pyside.qtcore.
Preparing to unpack .../12-python-pyside.qtcore_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtcore (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtgui.
Preparing to unpack .../13-python-pyside.qtgui_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtgui (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.phonon.
Preparing to unpack .../14-python-pyside.phonon_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.phonon (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtnetwork.
Preparing to unpack .../15-python-pyside.qtnetwork_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtnetwork (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtdeclarative.
Preparing to unpack .../16-python-pyside.qtdeclarative_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtdeclarative (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qthelp.
Preparing to unpack .../17-python-pyside.qthelp_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qthelp (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtopengl.
Preparing to unpack .../18-python-pyside.qtopengl_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtopengl (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtscript.
Preparing to unpack .../19-python-pyside.qtscript_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtscript (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtsql.
Preparing to unpack .../20-python-pyside.qtsql_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtsql (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtsvg.
Preparing to unpack .../21-python-pyside.qtsvg_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtsvg (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qttest.
Preparing to unpack .../22-python-pyside.qttest_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qttest (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtxml.
Preparing to unpack .../23-python-pyside.qtxml_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtxml (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtuitools.
Preparing to unpack .../24-python-pyside.qtuitools_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtuitools (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.qtwebkit.
Preparing to unpack .../25-python-pyside.qtwebkit_1.2.2-2+b1_amd64.deb ...
Unpacking python-pyside.qtwebkit (1.2.2-2+b1) ...
Selecting previously unselected package python-pyside.
Preparing to unpack .../26-python-pyside_1.2.2-2_all.deb ...
Unpacking python-pyside (1.2.2-2) ...
Selecting previously unselected package python-qt4-gl.
Preparing to unpack .../27-python-qt4-gl_4.11.4+dfsg-2+b1_amd64.deb ...
Unpacking python-qt4-gl (4.11.4+dfsg-2+b1) ...
Selecting previously unselected package python-pivy.
Preparing to unpack .../28-python-pivy_0.5.0~v609hg-3.1_amd64.deb ...
Unpacking python-pivy (0.5.0~v609hg-3.1) ...
Selecting previously unselected package liboce10.
Preparing to unpack .../29-liboce10_0.18.1688_amd64.deb ...
Unpacking liboce10 (0.18.1688) ...
Selecting previously unselected package freecad.
Preparing to unpack .../30-freecad_0.17.11141_amd64.deb ...
Unpacking freecad (0.17.11141) ...
Setting up libxerces-c3.1:amd64 (3.1.4+debian-2) ...
Setting up libspnav0 (0.2.3-1) ...
ldconfig: /usr/lib/libbrscandec.so.1 is not a symbolic link

ldconfig: /usr/lib/libbrcolm.so.1 is not a symbolic link

Processing triggers for mime-support (3.60) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Setting up libshiboken1.2v5:amd64 (1.2.2-3.1) ...
Setting up python-qt4-gl (4.11.4+dfsg-2+b1) ...
Setting up libfreeimage3:amd64 (3.17.0+ds1-5) ...
Setting up libzipios++0v5 (0.1.5.9+cvs.2007.04.28-6) ...
Setting up python-collada (0.4-2) ...
Setting up libcoin80v5 (3.1.4~abc9f50+dfsg1-2) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
ldconfig: /usr/lib/libbrscandec.so.1 is not a symbolic link

ldconfig: /usr/lib/libbrcolm.so.1 is not a symbolic link

Processing triggers for doc-base (0.10.7) ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Setting up libgl2ps1 (1.3.9-4) ...
Setting up libboost-atomic1.62.0:amd64 (1.62.0+dfsg-4) ...
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for shared-mime-info (1.8-1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Processing triggers for gnome-menus (3.13.3-9) ...
Setting up libboost-signals1.62.0:amd64 (1.62.0+dfsg-4) ...
Setting up libpyside1.2:amd64 (1.2.2-2+b1) ...
Setting up libsoqt4-20 (1.6.0~e8310f-3) ...
Setting up liboce10 (0.18.1688) ...
ldconfig: /usr/lib/libbrscandec.so.1 is not a symbolic link

ldconfig: /usr/lib/libbrcolm.so.1 is not a symbolic link

Setting up python-pivy (0.5.0~v609hg-3.1) ...
Setting up python-pyside.qtcore (1.2.2-2+b1) ...
Setting up python-pyside.qtgui (1.2.2-2+b1) ...
Setting up python-pyside.qtxml (1.2.2-2+b1) ...
Setting up python-pyside.phonon (1.2.2-2+b1) ...
Setting up python-pyside.qthelp (1.2.2-2+b1) ...
Setting up python-pyside.qtsql (1.2.2-2+b1) ...
Setting up python-pyside.qtnetwork (1.2.2-2+b1) ...
Setting up python-pyside.qtwebkit (1.2.2-2+b1) ...
Setting up python-pyside.qtdeclarative (1.2.2-2+b1) ...
Setting up python-pyside.qtscript (1.2.2-2+b1) ...
Setting up python-pyside.qtuitools (1.2.2-2+b1) ...
Setting up python-pyside.qtopengl (1.2.2-2+b1) ...
Setting up python-pyside.qtsvg (1.2.2-2+b1) ...
Setting up python-pyside.qttest (1.2.2-2+b1) ...
Setting up python-pyside (1.2.2-2) ...
Setting up freecad (0.17.11141) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
ldconfig: /usr/lib/libbrscandec.so.1 is not a symbolic link

ldconfig: /usr/lib/libbrcolm.so.1 is not a symbolic link
Last edited by ramack on 2018-01-01 17:53, edited 1 time in total.
homemade AMD64, Acer AspireOne 150, Asus eeePC 900, i386; Testing
i386,Dell Vostro 1000 AMD64, Dell Inspiron 1100; Sid
XFCE on all.
ramack
 
Posts: 447
Joined: 2008-01-28 15:31
Location: Centennial, CO

Re: bug with freecad?

Postby debiman » 2018-01-01 08:54

this is freecad from the repos?
please post output of
Code: Select all
apt update
User avatar
debiman
 
Posts: 2900
Joined: 2013-03-12 07:18

Re: bug with freecad?

Postby ramack » 2018-01-01 13:30

Thanks for responding. Yes, freecad is install from the Debian repos not from freecad's site.

Code: Select all
$ sudo apt update
Hit:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease                                                                       
Hit:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                                               
Ign:4 http://ftp.us.debian.org/debian stretch InRelease                                                                                 
Hit:5 https://repo.skype.com/deb stable InRelease                                                                                       
Ign:6 http://dl.google.com/linux/talkplugin/deb stable InRelease                                                                       
Get:7 http://ftp.us.debian.org/debian stretch-updates InRelease [91.0 kB]                                                               
Hit:8 http://dl.google.com/linux/chrome/deb stable Release                                                                             
Ign:9 http://download.alephobjects.com/ao/aodeb jessie InRelease                                                                       
Hit:10 http://dl.google.com/linux/talkplugin/deb stable Release                               
Hit:11 http://download.alephobjects.com/ao/aodeb jessie Release                               
Hit:12 http://ftp.us.debian.org/debian stretch Release                                         
Hit:13 https://download.sublimetext.com apt/stable/ InRelease           
Hit:14 http://repository.spotify.com stable InRelease
Hit:15 https://s3.amazonaws.com/files.republicwireless.com/public/apps/anywhere/debian stable InRelease
Fetched 91.0 kB in 1s (52.3 kB/s)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
3 packages can be upgraded. Run 'apt list --upgradable' to see them.


Code: Select all
$ sudo apt list --upgradable
Listing... Done
gimp/stable 2.8.18-1+deb9u1 amd64 [upgradable from: 2.8.18-1]
gimp-data/stable,stable 2.8.18-1+deb9u1 all [upgradable from: 2.8.18-1]
libgimp2.0/stable 2.8.18-1+deb9u1 amd64 [upgradable from: 2.8.18-1]


Same output from running freecad after apt-get dist-upgrade.
homemade AMD64, Acer AspireOne 150, Asus eeePC 900, i386; Testing
i386,Dell Vostro 1000 AMD64, Dell Inspiron 1100; Sid
XFCE on all.
ramack
 
Posts: 447
Joined: 2008-01-28 15:31
Location: Centennial, CO

Re: bug with freecad?

Postby stevepusser » 2018-01-01 17:02

Yet you have a jessie repo in your list, and libboost 1.55 is the jessie version. The conclusion is obvious.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 9991
Joined: 2009-10-06 05:53

Re: bug with freecad? [SOLVED]

Postby ramack » 2018-01-01 17:54

Thanks for pointing to the obvious. Repo changed, problem fixed.
homemade AMD64, Acer AspireOne 150, Asus eeePC 900, i386; Testing
i386,Dell Vostro 1000 AMD64, Dell Inspiron 1100; Sid
XFCE on all.
ramack
 
Posts: 447
Joined: 2008-01-28 15:31
Location: Centennial, CO

Re: bug with freecad? [SOLVED]

Postby Wheelerof4te » 2018-01-01 18:44

^Not quite if you ever did an upgrade with that Jessie repo active.
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14


Return to General Questions

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable